function F = TFP(Y1,K1,h1,EMP1,Y2,K2,h2,EMP2,q);

global alpha1 alpha2 theta1 theta2 eta phi;
    % alpha1: material input share in sector 1
    % alpha2: material input share in sector 2
    % theta1: capital share in sector 1
    % theta2: capital share in sector 2
    % eta: labor share in sector 1
    % phi: cost of financial intermediation for sector 2 capital

TFP1=(Y1/(1-alpha1))./...
    ((q.^(alpha1/(1-alpha1))).*...
     (alpha1^(alpha1/(1-alpha1))).*...
     (K1.^theta1).*((h1.*EMP1).^eta));
TFP1=TFP1.^(1-alpha1);
TFP2=((Y2+phi*K2)/(1-alpha2))./...
    ((q.^(-alpha2/(1-alpha2))).*...
     (alpha2^(alpha2/(1-alpha2))).*...
     (K2.^theta2).*((h2.*EMP2).^(1-theta2)));
        % need to add phi*K2 because the Y2 in data is net of
        % intermediation
TFP2=TFP2.^(1-alpha2);

F(:,1)=TFP1;
F(:,2)=TFP2;