function [sk,se,sk_u,se_u] = constr_open(kk,sk_start,se_start,sebar,qq,barrier);

% optimal (sk,se) given (kk,qq) subject to the constraint
    % kk: detrended capital stock
    % sk_start: starting value for sector 1's share of capital stock
    % se_start: starting value for sector 1's share of labor
    % sebar: lower bound for se
    % qq: detrended relative price
    % barrier: equals 1 if the lower bound is present, 0 otherwise
x0=[sk_start;se_start];   % starting value for sk and se
options=optimset('Display','none','TolFun',1e-14);   % Option to display output
x = fsolve('sk_and_se',x0,options,kk,qq); % calculates (sk,se) without labor barrier
sk_u=x(1);
se_u=x(2);
if barrier==1 & se_u<sebar;
   se=sebar;  % se equals sebar if labor barrier is binding
   x0=[sk_u];
   options=optimset('Display','none','TolFun',1e-14);   % Option to display output
   x=fsolve('sk_given_se',x0,options,kk,se,qq);  % calculates sk with labor barrier
   sk=x(1);
else;
   sk=sk_u;
   se=se_u;
end;