function y = income_ratio_f(sk,se,kk,qq) 

global alpha1 alpha2 theta1 eta theta2;
    % alpha1: material input share in sector 1
    % alpha2: material input share in sector 2
    % theta1: capital share in sector 1
    % theta2: capital share in sector 2
    % eta: labor share in sector 1

% ratio of w1h1 (labor income from sector 1) to w2h2 (labor income from sector 2)
    % sk: sector 1's share of capital stock
    % se: sector 1's share of labor
    % kk: detrended capital stock
    % qq: detrended relative price
y=(1-alpha1)*eta*(qq.^(1/(1-alpha1))).*(kk.^theta1).*(sk.^theta1).*(se.^(eta-1))./...
    ((1-alpha2)*(1-theta2)*(qq.^(-alpha2/(1-alpha2))).*(kk.^theta2).*(((1-sk)./(1-se)).^theta2));
    