function F=sk_and_qq_given_se(x,kk,rr,se,X_Q,X_Y,d1);

global alpha2 phi;
    % alpha2: material input share in sector 2
    % phi: cost of financial intermediation for sector 2 capital

% two-equation system determining (sk,qq) given (se,kk,qq)
    % kk: detrended capital stock
    % rr: detrended co-state
    % se: sector 1's labor share
    % X_Q: trend for the relative price
    % X_Y: trend for sector 2 output
    % d1: minimum food consumption
% x(1) is sk2, x(2) is qq
sk=x(1);
qq=x(2);

F(1)=c1_f(X_Q,X_Y,qq,rr,d1)/(X_Y/X_Q) + ...
     alpha2*y2_f(sk,se,kk,qq)/qq - y1_f(sk,se,kk,qq); % market equilibrium for good 1
F(2)=r1_f(sk,se,kk,qq) - (r2_f(sk,se,kk,qq)-phi); % r1=r2
