function F=sk_se_and_qq(x,kk,rr,X_Q,X_Y,d1);

global alpha2 phi;
    % alpha2: material input share in sector 2
    % phi: cost of financial intermediation for sector 2 capital

% three-equation system determining (sk,se,qq) given (kk,rr) ignoring the barrier
    % kk: detrended capital stock
    % rr: detrended co-state
    % X_Q: trend for the relative price
    % X_Y: trend for sector 2 output
    % d1: minimum food consumption
% x(1) is sk, x(2) is se, x(3) is qq
sk=x(1);
se=x(2);
qq=x(3);

F(1)=c1_f(X_Q,X_Y,qq,rr,d1)/(X_Y/X_Q) + ...
     alpha2*y2_f(sk,se,kk,qq)/qq - y1_f(sk,se,kk,qq); % market equilibrium for good 1
F(2)=r1_f(sk,se,kk,qq) - (r2_f(sk,se,kk,qq)-phi); % r1=r2
F(3)=income_ratio_f(sk,se,kk,qq) - 1; % w1h1=w2h2
