function F = trends(TFP1,TFP2,h1,h2,EMP,POP);

global alpha1 alpha2 theta1 theta2 eta phi;
    % alpha1: material input share in sector 1
    % alpha2: material input share in sector 2
    % theta1: capital share in sector 1
    % theta2: capital share in sector 2
    % eta: labor share in sector 1

TFP1_tilde=(alpha1^(alpha1/(1-alpha1)))*(TFP1.^(1/(1-alpha1)));
TFP2_tilde=(alpha2^(alpha2/(1-alpha2)))*(TFP2.^(1/(1-alpha2)));
X_Q=(TFP1_tilde.^(-1)).*((h1.*EMP).^(-eta)).*...
    (TFP2_tilde.^((1-theta1)/(1-theta2))).*((h2.*EMP).^(1-theta1));
temp=(1/(1-alpha1)) + (alpha2*(1-theta1)/((1-alpha2)*(1-theta2)));
X_Q=X_Q.^(1/temp);
X_Y=(TFP2_tilde.^(1/(1-theta2))).*...
    (X_Q.^(-alpha2/((1-alpha2)*(1-theta2)))).*...
    (h2.*EMP./POP);

F(:,1)=X_Y;
F(:,2)=X_Q;